Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class IdeaModel

    java.lang.Object
      org.gradle.plugins.ide.idea.model.IdeaModel

    class IdeaModel
    extends java.lang.Object

DSL-friendly model of the IDEA project information. First point of entry when it comes to customizing the idea generation

See the examples in docs for IdeaModule or IdeaProject

Authors:
  Szczepan Faber, created at: 3/31/11

Property Summary
`IdeaModule` | `module` Configures idea module information For examples see docs for IdeaModule
`IdeaProject` | `project` Configures idea project information For examples see docs for IdeaProject
`IdeaWorkspace` | `workspace` Configures idea workspace information For examples see docs for IdeaWorkspace

Method Summary
`void` | `module(groovy.lang.Closure closure)` Configures idea module information For examples see docs for IdeaModule
`void` | `pathVariables(java.util.Map pathVariables)` Adds path variables to be used for replacing absolute paths in resulting files (*.iml, etc.)
`void` | `project(groovy.lang.Closure closure)` Configures idea project information For examples see docs for IdeaProject
`void` | `workspace(groovy.lang.Closure closure)` Configures idea workspace information For examples see docs for IdeaWorkspace

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### module

    IdeaModule module

  Configures idea module information

  For examples see docs for IdeaModule

### project

    IdeaProject project

  Configures idea project information

  For examples see docs for IdeaProject

### workspace

    IdeaWorkspace workspace

  Configures idea workspace information

  For examples see docs for IdeaWorkspace

Method Detail

### module

    void module(groovy.lang.Closure closure)

  Configures idea module information

  For examples see docs for IdeaModule

  Parameters:
    closure

### pathVariables

    void pathVariables(java.util.Map pathVariables)

  Adds path variables to be used for replacing absolute paths in resulting files (*.iml, etc.)

  For example see docs for IdeaModule

  Parameters:
    `pathVariables` - A map with String->File pairs.

### project

    void project(groovy.lang.Closure closure)

  Configures idea project information

  For examples see docs for IdeaProject

  Parameters:
    closure

### workspace

    void workspace(groovy.lang.Closure closure)

  Configures idea workspace information

  For examples see docs for IdeaWorkspace

  Parameters:
    closure

Groovy Documentation